package example.javaee;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class Cat0 {

    static String getContents() throws IOException {
        BufferedReader in = new BufferedReader(
                new InputStreamReader(System.in));
        try {
            StringBuilder sb = new StringBuilder();
            int c;
            while ((c = in.read()) != -1) {
                sb.append((char) c);
            }
            return sb.toString();
        } finally {
            in.close();
        }
    }

    public static void main(String[] args) throws IOException {
        String s = getContents();
        System.out.println(s);
    }

}
